PHP ��U
前一頁 |  | 下一頁

# DomXsltStylesheet->process()

(no version information, might be only in CVS)

DomXsltStylesheet->process() -- Applies the XSLT-Transformation on a DomDocument Object

## Description

class DomXsltStylesheet {
DomDocument process ( DomDocument xml_doc [, array xslt_params [, bool is_xpath_param [, string profile_filename]]] )
}

Applies an XSLT Transformation on the given DomDocument object.

## Parameters

xml_doc

  The XML document being transformed, as a DomDocument object.

xslt_params

  An associative array that takes pairs of parameter names and values.

is_xpath_param

  If set to `FALSE` the values of the xslt_params will be quoted. This is the default behavior. It allows you to pass the values as PHP strings.

  > 注: If your strings contains both single and double quotes, you must take care of quoting all the values by yourself and set this parameter to `TRUE`.

profile_filename

  Set this to the path of a filename, if you want profiling information.

## Return Values

Returns the result of the processing, as a DomDocument object.

## Migrating to PHP 5

Use XSLTProcessor->setParameter() and XSLTProcessor->transformToDoc().

## ChangeLog

Version | Description
--- | ---
4.3.0 | The profile_filename parameter was added.

## �Ѧ�

domxml_xslt_stylesheet()
domxml_xslt_stylesheet_file()
domxml_xslt_stylesheet_doc()

前一頁 | 內容 | 下一頁
DomProcessingInstruction->target | 上一層 | DomXsltStylesheet->result_dump_file()